Package org.gdal.ogr

# Class GeomFieldDefn

java.lang.Object
org.gdal.ogr.GeomFieldDefn

public class GeomFieldDefn extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeomFieldDefn()`
  `GeomFieldDefn(String name_null_ok)`
  `GeomFieldDefn(String name_null_ok, int field_type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete()`
  `boolean`
  `equals(Object obj)`
  `GeomCoordinatePrecision`
  `GetCoordinatePrecision()`
  `String`
  `GetName()`
  `byte[]`
  `GetNameAsByteArray()`
  `String`
  `GetNameRef()`
  `SpatialReference`
  `GetSpatialRef()`
  `int`
  `GetType()`
  `int`
  `hashCode()`
  `int`
  `IsIgnored()`
  `int`
  `IsNullable()`
  `void`
  `SetCoordinatePrecision(GeomCoordinatePrecision coordPrec)`
  `void`
  `SetIgnored(int bIgnored)`
  `void`
  `SetName(String name)`
  `void`
  `SetNullable(int bNullable)`
  `void`
  `SetSpatialRef(SpatialReference srs)`
  `void`
  `SetType(int type)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeomFieldDefn

    public GeomFieldDefn(String name_null_ok, int field_type)

  - ### GeomFieldDefn

    public GeomFieldDefn(String name_null_ok)

  - ### GeomFieldDefn

    public GeomFieldDefn()

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetNameAsByteArray

    public byte[] GetNameAsByteArray()

  - ### GetNameRef

    public String GetNameRef()

  - ### SetName

    public void SetName(String name)

  - ### GetType

    public int GetType()

  - ### SetType

    public void SetType(int type)

  - ### GetSpatialRef

    public SpatialReference GetSpatialRef()

  - ### SetSpatialRef

    public void SetSpatialRef(SpatialReference srs)

  - ### IsIgnored

    public int IsIgnored()

  - ### SetIgnored

    public void SetIgnored(int bIgnored)

  - ### IsNullable

    public int IsNullable()

  - ### SetNullable

    public void SetNullable(int bNullable)

  - ### GetCoordinatePrecision

    public GeomCoordinatePrecision GetCoordinatePrecision()

  - ### SetCoordinatePrecision

    public void SetCoordinatePrecision(GeomCoordinatePrecision coordPrec)